Deprecate and remove Language::truncate()
Closed, ResolvedPublic

Description

Language::truncate() was soft-deprecated in 1.31 (2d2575852c01a180ccd75c8a4fa60d8db323eeb6 by @Petar.petkovic) and split into truncateForVisual (which counts characters) and truncateForDatabase (which counts bytes).

This task tracks the work to remove existing uses of Language::truncate() in production so that it can be hard-deprecated and then eventually removed.

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 440612 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/SocialProfile@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440612

Change 440614 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/PageTriage@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440614

Change 440615 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/RevisionCommentSupplement@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440615

Change 440614 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440614

Change 440616 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/ArticleFeedbackv5@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440616

Change 440617 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/BlogPage@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440617

Change 440618 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/CentralNotice@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440618

Change 440619 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/ConfirmAccount@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440619

Change 440620 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/DisableAccount@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440620

Change 440622 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/PictureGame@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440622

Change 440623 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/PollNY@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440623

Change 440624 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/QuizGame@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440624

Change 440625 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/RSS@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440625

Change 440626 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/RegexBlock@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440626

Change 440627 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/ReplaceText@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440627

Change 440628 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/WikiForum@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440628

Change 440631 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/LiquidThreads@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440631

Change 440632 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/SportsTeams@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440632

Change 440633 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/ContentTranslation@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440633

Change 440634 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/EducationProgram@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440634

Change 440635 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/OpenStackManager@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440635

Change 440636 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/CodeReview@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440636

Change 440637 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/ConfirmEdit@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440637

Change 440638 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/UIFeedback@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440638

Change 440639 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/VEForAll@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440639

Change 440640 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/Video@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440640

Change 440640 merged by jenkins-bot:
[mediawiki/extensions/Video@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440640

Change 440639 merged by jenkins-bot:
[mediawiki/extensions/VEForAll@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440639

Change 440634 merged by jenkins-bot:
[mediawiki/extensions/EducationProgram@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440634

Change 440638 merged by jenkins-bot:
[mediawiki/extensions/UIFeedback@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440638

Change 440618 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440618

Change 440636 merged by jenkins-bot:
[mediawiki/extensions/CodeReview@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440636

Change 440646 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/Wikibase@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440646

Change 440647 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/Translate@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440647

Change 440648 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/Thanks@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440648

Change 440173 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/core@master] Hard deprecate Language::truncate()

https://gerrit.wikimedia.org/r/440173

Change 440647 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440647

Change 440633 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440633

Change 440635 merged by jenkins-bot:
[mediawiki/extensions/OpenStackManager@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440635

Change 440631 merged by jenkins-bot:
[mediawiki/extensions/LiquidThreads@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440631

Change 440620 merged by jenkins-bot:
[mediawiki/extensions/DisableAccount@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440620

Change 440616 merged by jenkins-bot:
[mediawiki/extensions/ArticleFeedbackv5@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440616

Change 440648 merged by jenkins-bot:
[mediawiki/extensions/Thanks@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440648

Change 440650 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/Translate@master] Ensure compatibility with MW 1.30

https://gerrit.wikimedia.org/r/440650

Change 440637 merged by jenkins-bot:
[mediawiki/extensions/ConfirmEdit@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440637

Change 440610 merged by jenkins-bot:
[mediawiki/extensions/OAuth@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440610

Change 440609 merged by jenkins-bot:
[mediawiki/extensions/Newsletter@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440609

Change 440575 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440575

Change 440574 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440574

Change 440626 merged by jenkins-bot:
[mediawiki/extensions/RegexBlock@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440626

Change 440624 merged by jenkins-bot:
[mediawiki/extensions/QuizGame@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440624

Change 440632 merged by jenkins-bot:
[mediawiki/extensions/SportsTeams@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440632

Change 440623 merged by jenkins-bot:
[mediawiki/extensions/PollNY@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440623

Change 440622 merged by jenkins-bot:
[mediawiki/extensions/PictureGame@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440622

Change 440628 merged by jenkins-bot:
[mediawiki/extensions/WikiForum@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440628

Change 440650 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Ensure compatibility with MW 1.30

https://gerrit.wikimedia.org/r/440650

Change 440617 merged by jenkins-bot:
[mediawiki/extensions/BlogPage@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440617

Change 440619 merged by jenkins-bot:
[mediawiki/extensions/ConfirmAccount@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440619

Change 440615 merged by jenkins-bot:
[mediawiki/extensions/RevisionCommentSupplement@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440615

Change 440625 merged by jenkins-bot:
[mediawiki/extensions/RSS@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440625

Vvjjkkii renamed this task from Deprecate and remove Language::truncate() to ftaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Petar.petkovic renamed this task from ftaaaaaaaa to Deprecate and remove Language::truncate().Jul 1 2018, 11:12 PM
Petar.petkovic raised the priority of this task from High to Needs Triage.
Petar.petkovic updated the task description. (Show Details)
Petar.petkovic added a subscriber: Aklapper.

Change 440612 merged by jenkins-bot:
[mediawiki/extensions/SocialProfile@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440612

Change 440627 merged by jenkins-bot:
[mediawiki/extensions/ReplaceText@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440627

Change 440646 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440646

Change 444642 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/core@master] Replace use of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/444642

Change 444643 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/core@master] Hard deprecate Language::truncate()

https://gerrit.wikimedia.org/r/444643

Change 440173 merged by jenkins-bot:
[mediawiki/core@master] Remove most uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/440173

Change 444642 merged by jenkins-bot:
[mediawiki/core@master] Replace use of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/444642

Jdforrester-WMF changed the task status from Open to Stalled.Jul 13 2018, 5:45 PM
Jdforrester-WMF edited projects, added MW-1.33-release; removed Patch-For-Review.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Hard deprecated in MW1.32; removal will have to wait for MW1.33.

Change 444643 merged by jenkins-bot:
[mediawiki/core@master] Hard deprecate Language::truncate()

https://gerrit.wikimedia.org/r/444643

Change 467859 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/core@master] Remove Language::truncate(), deprecated in MW 1.31

https://gerrit.wikimedia.org/r/467859

Jdforrester-WMF closed this task as Resolved.Oct 22 2018, 4:13 PM
Jdforrester-WMF assigned this task to cscott.

Change 467859 merged by jenkins-bot:
[mediawiki/core@master] Remove Language::truncate(), deprecated in MW 1.31

https://gerrit.wikimedia.org/r/467859

Change 469794 had a related patch set uploaded (by AndyRussG; owner: C. Scott Ananian):
[mediawiki/extensions/CentralNotice@wmf_deploy] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/469794

Change 469794 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@wmf_deploy] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/469794